% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dmbc_classes.R
\name{initialize,dmbc_data-method}
\alias{initialize,dmbc_data-method}
\alias{dmbc_data-initialize}
\title{Create an instance of the \code{dmbc_data} class using new/initialize.}
\usage{
\S4method{initialize}{dmbc_data}(
  .Object,
  diss = list(),
  n = numeric(),
  S = numeric(),
  family = character()
)
}
\arguments{
\item{.Object}{Prototype object from the class \code{\link{dmbc_data}}.}

\item{diss}{A list whose elements are the dissimilarity matrices corresponding
to the judgments expressed by the \emph{S} subjects/raters. These matrices
must be defined as a \code{dist} object.}

\item{n}{A length-one character vector representing the number of objects
compared by each subject.}

\item{S}{A length-one numeric vector representing the number of subjects.}

\item{family}{A length-one character vector representing the type of data to
analyze. Currently, it accepts only the 'binomial' value, but future
developments will include the possibility to analyze continuous,
multinomial and count data.}
}
\description{
Create an instance of the \code{dmbc_data} class using new/initialize.
}
\author{
Sergio Venturini \email{sergio.venturini@unicatt.it}
}
